|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Types
gameplay::Mouse Class Reference

`#include <Mouse.h>`

List of all members.

## Public Types

enum | MouseEvent { MOUSE_PRESS_LEFT_BUTTON, MOUSE_RELEASE_LEFT_BUTTON, MOUSE_PRESS_MIDDLE_BUTTON = 3, MOUSE_RELEASE_MIDDLE_BUTTON = 4, MOUSE_PRESS_RIGHT_BUTTON = 5, MOUSE_RELEASE_RIGHT_BUTTON = 6, MOUSE_MOVE = 7, MOUSE_WHEEL = 8 }

## Detailed Description

Defines a mouse event.

## Member Enumeration Documentation

enum gameplay::Mouse::MouseEvent

The mouse event type.

All Classes Functions Variables Typedefs Enumerations Enumerator